import adapter from '@sveltejs/adapter-node';
import { vitePreprocess } from '@sveltejs/vite-plugin-svelte';

/** @type {import('@sveltejs/kit').Config} */
const config = {
	// Consult https://svelte.dev/docs/kit/integrations
	// for more information about preprocessors
	preprocess: vitePreprocess(),
	kit: {
		adapter: adapter(),
		prerender: {
			handleHttpError: ({ status, path }) => {
				if (status === 404) {
					console.warn(`Skipping prerender of ${path} (expected 404)`);
					return;
				}
				throw new Error(`${status} ${path}`);
			}
		}
	}
};

export default config;
